seller profile

Enables you to scrape Seller Profile from Amazon page using the ScrapeIN service

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

The /seller_profile endpoint provides a method for retrieving seller profile details for a specific seller on Amazon. By making a GET request to this endpoint, you can obtain relevant details and metrics associated with their Amazon seller account.

This information can be valuable for buyers seeking to assess the credibility and performance of a seller before making a purchase. Additionally, it can be useful for businesses conducting market research or analyzing competitor performance on the platform.

📘

Notes on Retrieving Sellers IDs

You can also obtain the seller_id value for a specific seller from a request utilizing/pricing endpoint.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format:

html, json, csv

📘

Notes on Retrieving Products from Sellers

To gather all the products from a specific seller, you can make a subsequent request using the /seller_products endpoint.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

🚧

Required Seller Profile Parameters

You can specify the seller using either the seller_id and amazon_domain parameters or the url parameter (which contains a link to an Amazon seller profile page). If you provide both the amazon_domain and seller_id parameters, the url parameter will be ignored, and vise versa.

Query Params
string
enum
Defaults to amazon.com

Used to to retrieve seller profile details from for the seller mentioned in the seller_id parameter. You can refer to the Supported Amazon Domains list for a complete list of supported Amazon domains. Please note that if both the amazon_domain and seller_id parameters are provided, the url parameter will be disregarded.

string
Defaults to A21BBMEF3BMW1Z

Used to retrieve seller profile details. It should be used together with the amazon_domain parameter. Please note that if both the seller_id and amazon_domain parameters are provided, the url parameter will be ignored. Additionally, you can obtain Seller IDs by utilizing /pricing endpoint.

string

The Amazon seller profile page URL is used to retrieve results from the specific seller. Please note that if you provide the url parameters, the seller_id and amazon_domain parameters parameters will be ignored.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the raw HTML by setting the parameter to html, or the results in CSV format by setting it to csv.

Allowed:
string
enum

Used to determine the location it uses when fetching pages from Amazon. It helps show how a product appears on amazon.com to customers in different countries. It can also identify cross-border shipping information and opportunities. To find the available values for customer_location, refer to the Locations reference. If no customer_location value is provided, the API will automatically make the request from the country corresponding to the Amazon page requested. For example, if the page is from amazon.de, the default customer_location will be "Germany."

string
enum

Used to determine the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the supported languages.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
string
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json